# wxHeaderColumnSimple Class Reference
[Controls]

`#include <wx/headercol.h>`

Inheritance diagram for wxHeaderColumnSimple:
[legend]

## Detailed Description

Simple container for the information about the column.

This is a concrete class implementing all wxSettableHeaderColumn class methods in a trivial way, i.e. by just storing the information in the object itself. It is used by and with wxHeaderCtrlSimple, e.g.

            wxHeaderCtrlSimple * header = new wxHeaderCtrlSimple(...);
            wxHeaderColumnSimple col("Title");
            col.SetWidth(100);
            col.SetSortable(100);
            header->AppendColumn(col);

##

Library: wxCore

Category: Controls

## Public Member Functions
| wxHeaderColumnSimple (const wxString &title, int width=wxCOL_WIDTH_DEFAULT, wxAlignment align=wxALIGN_NOT, int flags=wxCOL_DEFAULT_FLAGS)
| Constructor for a column header.
| wxHeaderColumnSimple (const wxBitmap &bitmap, int width=wxDVC_DEFAULT_WIDTH, wxAlignment align=wxALIGN_CENTER, int flags=wxCOL_DEFAULT_FLAGS)
| Constructor for a column header.
virtual void | SetTitle (const wxString &title)
| Trivial implementations of the base class pure virtual functions.
virtual wxString | GetTitle () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetBitmap (const wxBitmap &bitmap)
| Trivial implementations of the base class pure virtual functions.
virtual wxBitmap | GetBitmap () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetWidth (int width)
| Trivial implementations of the base class pure virtual functions.
virtual int | GetWidth () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetMinWidth (int minWidth)
| Trivial implementations of the base class pure virtual functions.
virtual int | GetMinWidth () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetAlignment (wxAlignment align)
| Trivial implementations of the base class pure virtual functions.
virtual wxAlignment | GetAlignment () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetFlags (int flags)
| Trivial implementations of the base class pure virtual functions.
virtual int | GetFlags () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetAsSortKey (bool sort=true)
| Trivial implementations of the base class pure virtual functions.
virtual bool | IsSortKey () const
| Trivial implementations of the base class pure virtual functions.
virtual void | SetSortOrder (bool ascending)
| Trivial implementations of the base class pure virtual functions.
virtual bool | IsSortOrderAscending () const
| Trivial implementations of the base class pure virtual functions.

List of all members.

## Constructor & Destructor Documentation

wxHeaderColumnSimple::wxHeaderColumnSimple | ( | const wxString & | title,
|  | int | width = `wxCOL_WIDTH_DEFAULT`,
|  | wxAlignment | align = `wxALIGN_NOT`,
|  | int | flags = `wxCOL_DEFAULT_FLAGS` |
| ) |  |  |

Constructor for a column header.

The first constructor creates a header showing the given text title while the second one creates one showing the specified bitmap image.

wxHeaderColumnSimple::wxHeaderColumnSimple | ( | const wxBitmap & | bitmap,
|  | int | width = `wxDVC_DEFAULT_WIDTH`,
|  | wxAlignment | align = `wxALIGN_CENTER`,
|  | int | flags = `wxCOL_DEFAULT_FLAGS` |
| ) |  |  |

Constructor for a column header.

The first constructor creates a header showing the given text title while the second one creates one showing the specified bitmap image.

## Member Function Documentation

virtual wxAlignment wxHeaderColumnSimple::GetAlignment | ( |  | ) | const`[virtual]`

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual wxBitmap wxHeaderColumnSimple::GetBitmap | ( |  | ) | const`[virtual]`

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual int wxHeaderColumnSimple::GetFlags | ( |  | ) | const`[virtual]`

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual int wxHeaderColumnSimple::GetMinWidth | ( |  | ) | const`[virtual]`

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual wxString wxHeaderColumnSimple::GetTitle | ( |  | ) | const`[virtual]`

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual int wxHeaderColumnSimple::GetWidth | ( |  | ) | const`[virtual]`

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual bool wxHeaderColumnSimple::IsSortKey | ( |  | ) | const`[virtual]`

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual bool wxHeaderColumnSimple::IsSortOrderAscending | ( |  | ) | const`[virtual]`

Trivial implementations of the base class pure virtual functions.

Implements wxHeaderColumn.

virtual void wxHeaderColumnSimple::SetAlignment | ( | wxAlignment | align | ) | `[virtual]`

Trivial implementations of the base class pure virtual functions.

virtual void wxHeaderColumnSimple::SetAsSortKey | ( | bool | sort = `true` | ) | `[virtual]`

Trivial implementations of the base class pure virtual functions.

virtual void wxHeaderColumnSimple::SetBitmap | ( | const wxBitmap & | bitmap | ) | `[virtual]`

Trivial implementations of the base class pure virtual functions.

virtual void wxHeaderColumnSimple::SetFlags | ( | int | flags | ) | `[virtual]`

Trivial implementations of the base class pure virtual functions.

virtual void wxHeaderColumnSimple::SetMinWidth | ( | int | minWidth | ) | `[virtual]`

Trivial implementations of the base class pure virtual functions.

virtual void wxHeaderColumnSimple::SetSortOrder | ( | bool | ascending | ) | `[virtual]`

Trivial implementations of the base class pure virtual functions.

virtual void wxHeaderColumnSimple::SetTitle | ( | const wxString & | title | ) | `[virtual]`

Trivial implementations of the base class pure virtual functions.

virtual void wxHeaderColumnSimple::SetWidth | ( | int | width | ) | `[virtual]`

Trivial implementations of the base class pure virtual functions.

|  | [ top ]